<md-dialog aria-label="Edit category" ng-cloak flex="40">
    <md-toolbar>
        <div class="md-toolbar-tools">
            <h2>Nastavení rostliny</h2>
            <span flex></span>
            <md-button class="md-icon-button" ng-click="cancel()"><i class="material-icons" aria-label="Close dialog">close</i>
            </md-button>
        </div>
    </md-toolbar>
    <form name="categoryForm">
        <md-dialog-content>
            <div class="md-dialog-content">
                <div layout="row">
                    <md-switch ng-model="settings.sticky" aria-label="Switch 1">
                        Zobrazovat vždy nahoře
                    </md-switch>
                </div>
                <div layout="row">
                    <md-input-container class="md-icon-float">
                        <md-icon>
                            <div class="color-preview" style="background-color: {{settings.backgroundColor}};"></div>
                        </md-icon>
                        <label>Barva pozadí (ve formátu #RRGGBB)</label>
                        <input required ng-model="settings.backgroundColor" type="text">
                    </md-input-container>
                </div>
                <div layout="row">
                    <md-select ng-model="settings.overrideImage" placeholder="Volba zobrazení" class="md-no-underline">
                        <md-option value="latest">Zobrazovat vždy nejnovější fotografii</md-option>
                        <md-option value="selected">Zobrazovat vybranou fotografii</md-option>
                    </md-select>
                </div>
                <div ng-if="settings.overrideImage==='selected'" layout="row" class="gallery-images">
                    <md-grid-list
                            md-cols="1" md-cols-sm="2" md-cols-md="2" md-cols-gt-md="2" md-row-height="380px"
                            md-gutter="4px" md-gutter-gt-sm="4px">
                        <md-grid-tile ng-repeat="image in plant.images"
                                      md-rowspan="1"
                                      md-colspan="1"
                                      md-colspan-sm="1"
                                      md-colspan-xs="1">
                            <md-card ng-click="">
                                <!--<md-card-title>-->
                                <!--<md-card-title-text>-->
                                <!--<span class="md-headline">{{$ctrl.getPlantName(image)}}</span>-->
                                <!--<span class="md-subhead">{{$ctrl.getSubTitle(image)}}</span>-->
                                <!--</md-card-title-text>-->
                                <!--</md-card-title>-->
                                <md-card-content layout="row" layout-align="space-between">
                                    <img ng-src="{{getImageUrl(image)}}" class="image-preview">
                                </md-card-content>
                                <md-card-actions>
                                    <div layout="row" flex="100">
                                        <md-checkbox flex="auto"
                                                     ng-model="selectedImages[image.id]"
                                                     ng-change="onImageSelected(image)"
                                                     aria-label="Checkbox 1">
                                            Zobrazovat
                                        </md-checkbox>
                                    </div>
                                </md-card-actions>
                            </md-card>
                        </md-grid-tile>
                    </md-grid-list>
                </div>
        </md-dialog-content>
        <md-dialog-actions layout="row">
            <span flex></span>
            <md-button ng-click="save()" ng-disabled="categoryForm.$invalid || !settings.backgroundColor || settings.overrideImage==='selected' && settings.selectedImages.length===0" md-autofocus>
                Ulož
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Zruš
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>

